com.tibbo.aggregate.common.action.command

## Class GridDashboardActionCommand

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.GridDashboardActionCommand

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable
  Direct Known Subclasses:
    EditGridDashboard, OpenGridDashboard

      public class GridDashboardActionCommand
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_CONTEXT_PATH`
    `static java.lang.String` | `CF_DEFAULT_CONTEXT`
    `static java.lang.String` | `CF_FULL_CONTEXT_PATH`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_PARAMS`
    `static TableFormat` | `CFT_GRID_DASHBOARD`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridDashboardActionCommand(java.lang.String cmdOpenGridDashboard, java.lang.String title, DataTable parameters)`
    `GridDashboardActionCommand(java.lang.String type, java.lang.String title, java.lang.String fullContextPath, java.lang.String contextPath, java.lang.String defaultContext, WebWindowLocation location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_DEFAULT_CONTEXT

          public static final java.lang.String CF_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_FULL_CONTEXT_PATH

          public static final java.lang.String CF_FULL_CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### CF_CONTEXT_PATH

          public static final java.lang.String CF_CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_PARAMS

          public static final java.lang.String CF_PARAMS

      See Also:
        Constant Field Values

    - #### CFT_GRID_DASHBOARD

          public static TableFormat CFT_GRID_DASHBOARD

  - ### Constructor Detail

    - #### GridDashboardActionCommand

          public GridDashboardActionCommand(java.lang.String type,
                                            java.lang.String title,
                                            java.lang.String fullContextPath,
                                            java.lang.String contextPath,
                                            java.lang.String defaultContext,
                                            WebWindowLocation location)

    - #### GridDashboardActionCommand

          public GridDashboardActionCommand(java.lang.String cmdOpenGridDashboard,
                                            java.lang.String title,
                                            DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`